Bug 590857 - Installer crashes when trying to install on HP BL460c G1
Installer crashes when trying to install on HP BL460c G1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-10 15:55 EDT by Maarten Broekman
Modified: 2010-11-10 14:43 EST (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.45-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:43:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Trace report from the crash (205.36 KB, text/plain)
2010-05-10 15:55 EDT, Maarten Broekman
no flags Details

  None (edit)
Description Maarten Broekman 2010-05-10 15:55:23 EDT
Created attachment 412949 [details]
Trace report from the crash

Description of problem:
When attempting to install the beta on a HP ProLiant BL460c G1, the installer crashes after selecting the internal hard drive RAID device as the install target.

Version-Release number of selected component (if applicable):


How reproducible:
Happens every time

Steps to Reproduce:
1. Attach the RHEL6.0-20100414.0-AP-x86_64-DVD1.iso to the virtual media device
2. Boot from the attached iso
3. Select specialized storage -> firmware raid -> compaq smart array -> next
4. Installer displays "Finding storage devices" and then crashes after several minutes.
  
Actual results:
Installer crashes and generates a trace report

Expected results:
OS installs.

Additional info:
Exception from the top of the traceback:
anaconda 13.21.20.5 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/subprocess.py", line 1092, in _execute_child
    raise child_exception
  File "/usr/lib64/python2.6/subprocess.py", line 595, in __init__
    errread, errwrite)
  File "/usr/lib/anaconda/iutil.py", line 134, in execWithRedirect
    env=env)
  File "/usr/lib/anaconda/storage/devices.py", line 3109, in setup
    stderr = "/dev/tty5")
  File "/usr/lib/anaconda/storage/devicetree.py", line 1935, in populate
    mp.setup()
  File "/usr/lib/anaconda/storage/__init__.py", line 374, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 109, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 126, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1308, in nextClicked
    self.anaconda.dispatch.gotoNext()
RuntimeError: multipath can not be run
Comment 2 RHEL Product and Program Management 2010-05-10 17:42:54 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chris Lumens 2010-05-21 15:58:46 EDT
Can you please test again with a later version of RHEL6?  The string "can not be run" is not in anaconda anymore, and we believe this issue to be solved.
Comment 4 Maarten Broekman 2010-05-21 16:21:51 EDT
Where would I be able to get a later version of RHEL6?  I'm using the ISO that is available from: ftp://ftp.redhat.com/pub/redhat/rhel/beta/6/x86_64/iso/

I don't see any later version than the April 14 ISO.
Comment 5 Chris Lumens 2010-05-21 17:00:04 EDT
Your support representative should be able to help you out with that information, as I don't really know what's available and when.  If you don't have a support representative, you'll probably have to wait for an RC or similar to come out.
Comment 7 Everett Bennett 2010-05-24 10:31:11 EDT
This is beta.......why do I need a support rep to access.. how about updating the beta site.  Thanks in advance.  You ask us to test the beta, but then we have to jump through hoops to obtain?
Comment 10 Maarten Broekman 2010-07-02 12:14:26 EDT
Beta2 appears to fix this.
Comment 12 releng-rhel@redhat.com 2010-11-10 14:43:17 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.